<!DOCTYPE html>
<html>
    <head>
        <meta charset="UTF-8">
        <title>{% block title %}Welcome!{% endblock %}</title>
        <link rel="stylesheet" href="https://bootswatch.com/4/darkly/bootstrap.min.css">
        {% block stylesheets %}{% endblock %}
    </head>
    <body>
        <nav class="navbar navbar-expand-lg navbar-dark bg-primary">
            <a class="navbar-brand" href="{{path ('home')}}">Blog</a>
            <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarColor01" aria-controls="navbarColor01" aria-expanded="false" aria-label="Toggle navigation">
            <span class="navbar-toggler-icon"></span>
            </button>
        <div class="collapse navbar-collapse" id="navbarColor01">
            <ul class="navbar-nav mr-auto">
                <li class="nav-item">
                    <a class="nav-link" href="{{path ('blog') }}">Articles</a>
                </li>
                <li class="nav-item">
                    <a class="nav-link" href="{{path('blog_create') }}">Nouvel article</a>
                </li>

                {% if not app.user %}
                    <li class="nav-item">
                        <a href="{{ path ('security_login') }}" class="nav-link">Connexion</a>
                    </li>
                {% else %}
                    <li class="nav-item">
                        <a href="{{ path ('security_logout') }}" class="nav-link">Deconnexion</a>
                    </li>
                {% endif %}
            </ul>
          </div>
        </nav>
        <div class="container">
            {% block body %}{% endblock %}
        </div>
        {% block javascripts %}{% endblock %}
    </body>
</html>
